Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet
Class DocletContext

    java.lang.Object
      xdoclet.DocletContext

public class DocletContext
extends java.lang.Object

Version:
  $Revision: 1.17 $
Author:
  Ara Abrahamian (ara_e@email.com)
created
  June 19, 2001

Constructor Summary
`DocletContext(java.lang.String destDir, java.lang.String mergeDir, java.lang.String excludedTags, SubTask[] subTasks, java.util.Hashtable properties, java.util.HashMap configs, boolean force, boolean verbose, java.lang.String addedTags)` Describe what the DocletContext constructor does

Method Summary
`SubTask` | `getActiveSubTask()` Gets the ActiveSubTask attribute of the DocletContext object
`java.lang.String` | `getAddedTags()`
`java.lang.Object` | `getConfigParam(java.lang.String name)` Gets the ConfigParam attribute of the DocletContext object
`java.lang.String` | `getDestDir()` Gets the DestDir attribute of the DocletContext object
`java.lang.String` | `getExcludedTags()` Gets the ExcludedTags attribute of the DocletContext object
`static DocletContext` | `getInstance()` Gets the Instance attribute of the DocletContext class
`java.lang.String` | `getMergeDir()` Gets the MergeDir attribute of the DocletContext object
`java.util.Map` | `getProperties()` Gets the Properties attribute of the DocletContext object
`java.lang.String` | `getProperty(java.lang.String name)` Gets the Property attribute of the DocletContext object
`SubTask` | `getSubTaskBy(java.lang.String subtaskName)` Gets the SubTaskBy attribute of the DocletContext object
`SubTask[]` | `getSubTasks()` Gets the SubTasks attribute of the DocletContext object
`boolean` | `isForce()` Gets the Force attribute of the DocletContext object.
`boolean` | `isSubTaskDefined(java.lang.String subtaskName)` Gets the SubTaskDefined attribute of the DocletContext object
`boolean` | `isVerbose()` Gets the Verbose attribute of the DocletContext object.
`void` | `setActiveSubTask(SubTask activeSubTask)` Sets the ActiveSubTask attribute of the DocletContext object
`static void` | `setSingleInstance(DocletContext singleInstance)` Sets the SingleInstance attribute of the DocletContext class

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocletContext

    public DocletContext(java.lang.String destDir,
                         java.lang.String mergeDir,
                         java.lang.String excludedTags,
                         SubTask[] subTasks,
                         java.util.Hashtable properties,
                         java.util.HashMap configs,
                         boolean force,
                         boolean verbose,
                         java.lang.String addedTags)

  Describe what the DocletContext constructor does

Parameters:
  `destDir` - Describe what the parameter does
  `mergeDir` - Describe what the parameter does
  `excludedTags` - Describe what the parameter does
  `subTasks` - Describe what the parameter does
  `properties` - Describe what the parameter does
  `configs` - Describe what the parameter does
  `force` - Describe what the parameter does
  `addedTags` -
  `verbose` -

Method Detail

### getInstance

    public static DocletContext getInstance()

  Gets the Instance attribute of the DocletContext class

  Returns:
    The Instance value

### setSingleInstance

    public static void setSingleInstance(DocletContext singleInstance)

  Sets the SingleInstance attribute of the DocletContext class

  Parameters:
    `singleInstance` - The new SingleInstance value

### getActiveSubTask

    public SubTask getActiveSubTask()

  Gets the ActiveSubTask attribute of the DocletContext object

  Returns:
    The ActiveSubTask value

### getDestDir

    public java.lang.String getDestDir()

  Gets the DestDir attribute of the DocletContext object

  Returns:
    The DestDir value

### getMergeDir

    public java.lang.String getMergeDir()

  Gets the MergeDir attribute of the DocletContext object

  Returns:
    The MergeDir value

### isForce

    public boolean isForce()

  Gets the Force attribute of the DocletContext object.

  Returns:
    The Force value

### isVerbose

    public boolean isVerbose()

  Gets the Verbose attribute of the DocletContext object.

  Returns:
    The Verbose value

### getAddedTags

    public java.lang.String getAddedTags()

### getExcludedTags

    public java.lang.String getExcludedTags()

  Gets the ExcludedTags attribute of the DocletContext object

  Returns:
    The ExcludedTags value

### getSubTasks

    public SubTask[] getSubTasks()

  Gets the SubTasks attribute of the DocletContext object

  Returns:
    The SubTasks value

### getProperty

    public java.lang.String getProperty(java.lang.String name)

  Gets the Property attribute of the DocletContext object

  Parameters:
    `name` - Describe what the parameter does
  Returns:
    The Property value

### getProperties

    public java.util.Map getProperties()

  Gets the Properties attribute of the DocletContext object

  Returns:
    The Properties value

### getConfigParam

    public java.lang.Object getConfigParam(java.lang.String name)

  Gets the ConfigParam attribute of the DocletContext object

  Parameters:
    `name` - Describe what the parameter does
  Returns:
    The ConfigParam value

### isSubTaskDefined

    public boolean isSubTaskDefined(java.lang.String subtaskName)

  Gets the SubTaskDefined attribute of the DocletContext object

  Parameters:
    `subtaskName` - Describe what the parameter does
  Returns:
    The SubTaskDefined value

### getSubTaskBy

    public SubTask getSubTaskBy(java.lang.String subtaskName)

  Gets the SubTaskBy attribute of the DocletContext object

  Parameters:
    `subtaskName` - Describe what the parameter does
  Returns:
    The SubTaskBy value

### setActiveSubTask

    public void setActiveSubTask(SubTask activeSubTask)

  Sets the ActiveSubTask attribute of the DocletContext object

  Parameters:
    `activeSubTask` - The new ActiveSubTask value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD